Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168154 - rest.support.on=true keeps being added to project.properties
rest.support.on=true keeps being added to project.properties
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: REST
5.x
All Windows XP
: P3 (vote)
: 7.0
Assigned To: Milan Kuchtiak
issues@webservices
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 01:35 UTC by emiddio
Modified: 2010-07-15 03:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
REST Config dialog (24.52 KB, image/png)
2010-07-14 12:23 UTC, Milan Kuchtiak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description emiddio 2009-07-06 01:35:34 UTC
i am doing rest/jersey/spring with the rest/jersey/spring sources -- i dont want any help
from netbeans -- in thinking i need some libraries -- which i dont.

netbeans keeps adding libraries to the project i dont want to use;
Comment 1 Milan Kuchtiak 2010-07-12 09:03:08 UTC
This is worth to fix for the next release.
Comment 2 Quality Engineering 2010-07-13 03:34:31 UTC
Integrated into 'main-golden', will be available in build *201007130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c2792e8e8b2c
User: mkuchtiak@netbeans.org
Log: #168154: code cleanup
Comment 3 Milan Kuchtiak 2010-07-14 12:22:09 UTC
Fixed:
http://hg.netbeans.org/web-main/rev/9d4dfe6173bc

Now the dialog occurs asking user to add the Jersey library or not.
If user doesn't select the "Add Jersey Library" option and checks "USER is responsible for REST Configuration" nothing is added to project classpath.

The project can be configured using REST Services node->REST Resources Configuration action.

See the picture.

Of course, the REST support is based on JSR311 (JAX-RS API) and user is responsible to add JSR311 jar to project classpath. Otherwise REST resources are not recognized in logical view.
Comment 4 Milan Kuchtiak 2010-07-14 12:23:02 UTC
Created attachment 100826 [details]
REST Config dialog
Comment 5 Quality Engineering 2010-07-15 03:32:02 UTC
Integrated into 'main-golden', will be available in build *201007150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9d4dfe6173bc
User: mkuchtiak@netbeans.org
Log: #168154: don't force adding Jersey to project classpath


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo